## plucker 1.6.1

=== viewer-GTK+2-POSIX/Makefile ===
#
# $Id: Makefile.in,v 1.2 2003/08/03 14:07:04 nordstrom Exp $
#

SHELL           = /bin/sh

top_builddir    = ..
subdir          = viewer-GTK+2-POSIX

DESTDIR	        =

BINDIR          = $(DESTDIR)/usr/local/bin
DATADIR         = $(DESTDIR)/usr/local/share/plucker

UNPLUCK_DIR     = $(top_builddir)/tools/unpluck

LIBS            = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0    -lz -ljpeg
CPPFLAGS        = -I$(UNPLUCK_DIR)  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CFLAGS          = -g -O2

INSTALL         = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
MKINSTALLDIRS   = $(top_builddir)/mkinstalldirs

TARGET          = plucker

SOURCES         = viewer.c image.c library.c

OBJECTS         = ${SOURCES:.c=.o}

all: $(TARGET)

Makefile: Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

$(TARGET): $(OBJECTS) $(UNPLUCK_DIR)/libunpluck.a
	$(CC) -o $(TARGET) $(OBJECTS) $(UNPLUCK_DIR)/libunpluck.a $(LIBS)

depend: $(SOURCES)
	$(CC) -MM $(SOURCES) >.depend

.depend: $(SOURCES)
	$(CC) -MM $(SOURCES) >.depend

tags: $(SOURCES) *.h
	$(CTAGS) $(SOURCES) *.h


install:
	$(MKINSTALLDIRS) $(BINDIR)
	$(INSTALL_PROGRAM) $(TARGET) $(BINDIR)

clean:
	rm -f *.o core .depend $(TARGET)

distclean: clean
	rm -f Makefile

maintainer-clean: distclean
	@echo "------------------------------------------------------------"
	@echo "This command is intended for maintainers to use..."
	@echo "it deletes files that may require special tools to rebuild."
	@echo "------------------------------------------------------------"

## plucker 1.8

=== viewer-GTK+2-POSIX/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 UNPLUCK_DIR     = $(top_builddir)/tools/unpluck
 
-LIBS            = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0    -lz -ljpeg
-CPPFLAGS        = -I$(UNPLUCK_DIR)  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
+LIBS            =   -lz -ljpeg
+CPPFLAGS        = -I$(UNPLUCK_DIR)  
 CFLAGS          = -g -O2
 
 INSTALL         = /usr/bin/install -c

=== plucker_desktop/langs/Makefile ===
#-----------------------------------------------------------------------------------------
# Make commands for the translations catalog.
# Requirements: xgettext.exe, msgmerge.exe, and msgfmt.exe (all in a poEdit distribution)
# and the the custom wxrc.exe (source code found in this directory). All 4 executables 
# must be available somewhere in computer's AUTOEXEC.BAT's path. 
# To compile: make -f makefile.b32 langs
#             make -f makefile.b32 langs2
#-----------------------------------------------------------------------------------------

# First, define the Macro definitions that we will be using

# XRC files.
XRC_DIR=../resource/xrc
XRC_FILES = \
	$(XRC_DIR)/about_dialog.xrc \
	$(XRC_DIR)/about_simple_dialog.xrc \
	$(XRC_DIR)/channel_dialog.xrc \
	$(XRC_DIR)/details_progress_dialog.xrc \
	$(XRC_DIR)/editor_dialog.xrc \
	$(XRC_DIR)/exclusion_dialog.xrc \
	$(XRC_DIR)/main_menubar.xrc \
	$(XRC_DIR)/main_toolbar.xrc \
	$(XRC_DIR)/preferences_dialog.xrc \
	$(XRC_DIR)/showcase_dialog.xrc \
	$(XRC_DIR)/main_frame.xrc

# File to hold output.          
XRC_STRINGS_OUTPUT_FILE=xrc_strings_output.h
XRC_STRINGS_OUTPUT_DIR=..

# Collect the strings from the tip-of-the-day files.
TIPS_DIR=../resource/strings_tips
TIPS_FILES = \
	tips.txt
TIPS_OUTPUT_DIR=..

# Include our list of source files, which will give us the $(SOURCES):
include ../makefile_filelist.lst

# Add this directory to the list of directories to search for:
SOURCES_DIR=..

# Assemble list of all files that can have translatable strings.
ALL_SOURCE_FILES_TO_SEARCH = \
	$(SOURCES) \
	$(SOURCES:.cpp=.h) \
	$(XRC_STRINGS_OUTPUT_FILE) \
	$(TIPS_FILES)

LANGUAGES_DIR=.
FINAL_PLUCKER_TEMPLATE_POT=sample_po.txt
# Note: failure on OSX if this was called sample_po_temp
TEMPORARY_PLUCKER_TEMPLATE_POT=sample_tmp
PLUCKER_TRANSLATED_PO=plucker-desktop.po
PLUCKER_TRANSLATED_MO=plucker-desktop.mo

WXSTD_TEMPLATE_POT=sample_wxstd_po.txt
WXSTD_TRANSLATED_PO=wxstd.po
WXSTD_TRANSLATED_MO=wxstd.mo

# Now, next step is to extract all the user-visible strings from the XML resoucres. See
# appendix below if want to know the switches used for wxrc.exe
# Put the xrc strings in the sources dir for now, and copy the tips over also.

langs:
	-wxrc -v -g -o $(XRC_STRINGS_OUTPUT_DIR)/$(XRC_STRINGS_OUTPUT_FILE) $(XRC_FILES)
	-cp $(TIPS_DIR)/$(TIPS_FILES) $(TIPS_OUTPUT_DIR)/
	
	# Now, run xgettext to search all the source files for translatable strings, and put that into
	# a temporary po file. Then merge that temporary file with the old template .po file,
	# This strategy preserved the title header of the old template file, with charset, etc. 
	# See Appendix for arguments used for xgettext.exe and msgmerge.exe

	xgettext --foreign-user -n -k_ -D $(SOURCES_DIR) -o $(TEMPORARY_PLUCKER_TEMPLATE_POT) -p $(LANGUAGES_DIR) $(ALL_SOURCE_FILES_TO_SEARCH)
	msgmerge $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) $(LANGUAGES_DIR)/$(TEMPORARY_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT)
	-rm $(LANGUAGES_DIR)/$(TEMPORARY_PLUCKER_TEMPLATE_POT)
	
	# Merge the updates with the existing translations 
	msgmerge $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO)
	
	# Compile the text .po files into binary .mo files.     
	msgfmt $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_MO)
	
	# Successfully finished. We can get rid of the XRC strings now, and our copied tips.
	-rm $(XRC_STRINGS_OUTPUT_DIR)/$(XRC_STRINGS_OUTPUT_FILE)
	-rm $(TIPS_OUTPUT_DIR)/$(TIPS_FILES)
	
	# Merge the wxstd updates with the existing translations
	msgmerge $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) 
	msgmerge $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO)
	
	# Compile the wxstd text .po files into binary .mo files.  
	msgfmt $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_MO)   
	msgfmt $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_MO)
    
# This is a generic rule for making mo files out of po files.
# .po is the input extension, .mo is the output extension.
# The macro "$@" gets replaced as "somepath\somefilename.po"
# The macro "$<" is outputted as "somepath\somefilename.mo"
#po.mo:
# msgfmt -v -o $@ $< 
%.mo: %.po
	msgfmt -v -o $@ $<

#-----------------------------------------------------------------------------------------
# Appendices
#-----------------------------------------------------------------------------------------

# APPENDIX: wxrc.exe usage (resource compiler)
# Wxrc, customized with a /s switch to output translatable strings. The original
# wxrc is in your wx/contrib/utils. Overwrite the wxrc.cpp with the one included in /langs
# to build this tool.
# Example usage is 
#        wxrc /v /g /o out.h 1.xrc 2.xrc
# (Other platforms will use their own form of command line switches instead of '/')
# in which the arguments, and parameters are:
# /v          Verbose (doesn't seem to do much)
# /g          Specifies to output as a list of translatable strings
# /k          Optional uses a different macro prefix in the output. Default is to use _ so strings
#             get enclosed in a _(""). If typed /k _T  then strings get enclosed in a _T("").
# /o out.h    Specifies the output file as "out.h".
# 1.xrc 2.xrc The filenames of the XRCs in which to look for strings are "1.xrc" and "2.xrc".

# APPENDIX: xgettext.exe usage
# Extracts strings enclosed in a tranlation function, usually _(), and outputs them to an
# ouput file called a .po file which is a series of original strings and its translation.
# Example usage is: 
#        xgettext -C -n -k_ -o fr.po -p langs/fr file1.cpp file2.cpp

=== plucker_desktop/installer/osx/Makefile ===
#
# $Id: Makefile,v 1.2 2003/10/06 21:51:41 robertoconnor Exp $
#
# This Makefile makes an OSX application bundle

SHELL                   = /bin/sh

# Note that I used top_build_dir instead of top_builddir
top_build_dir            = ../../..
plucker_desktop_dir     = $(top_build_dir)/plucker_desktop
installer_osx_dir       = $(top_build_dir)/plucker_desktop/installer/osx

# Needed for the .rsrc file
wxwindows_lib_dir	= $(shell wx-config --prefix)/lib
WX_LIBRARY_BASENAME	= `wx-config --basename`
WX_RELEASE		= `wx-config --release`


# mkinstalldirs is some program in the main Plucker distribution root
# directorythat makes install directories.
MKINSTALLDIRS           = $(top_build_dir)/mkinstalldirs

TARGET                  = plucker-desktop
BUNDLE_NAME             = Plucker

BUNDLE = $(BUNDLE_NAME).app/Contents

# This will remove the old files when copying over
COPYFLAGS  = --force

# Note that the docs (including the online help) are different from the Linux/GTK version.
bundle: $(BUNDLE)/MacOS/$(TARGET) $(BUNDLE)/Info.plist $(BUNDLE)/PkgInfo $(BUNDLE)/Resources/application.icns
	@echo "------------------------------------------------------------"
	@echo "Copying Plucker Desktop docs..."
	@echo "------------------------------------------------------------"
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/doc
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/*.txt $(BUNDLE)/Resources/doc
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/docs/*.txt $(BUNDLE)/Resources/doc
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/docs/*.htb $(BUNDLE)/Resources/doc/
	@echo "------------------------------------------------------------"
	@echo "Copying Plucker Desktop resources..."
	@echo "------------------------------------------------------------"
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/graphics_dialog
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/graphics_dialog/*.* $(BUNDLE)/Resources/plucker_desktop/resource/graphics_dialog/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/graphics_misc
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/graphics_misc/*.* $(BUNDLE)/Resources/plucker_desktop/resource/graphics_misc/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/graphics_wizard
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/graphics_wizard/*.* $(BUNDLE)/Resources/plucker_desktop/resource/graphics_wizard/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/icons_application
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/icons_application/*.* $(BUNDLE)/Resources/plucker_desktop/resource/icons_application/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/icons_dialog
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/icons_dialog/*.* $(BUNDLE)/Resources/plucker_desktop/resource/icons_dialog/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/icons_image_list
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/icons_image_list/*.* $(BUNDLE)/Resources/plucker_desktop/resource/icons_image_list/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/icons_art_provider
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/icons_art_provider/*.* $(BUNDLE)/Resources/plucker_desktop/resource/icons_art_provider/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/launcher_icons_large
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/launcher_icons_large/*.* $(BUNDLE)/Resources/plucker_desktop/resource/launcher_icons_large/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/launcher_icons_small
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/launcher_icons_small/*.* $(BUNDLE)/Resources/plucker_desktop/resource/launcher_icons_small/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/plkrdata_installation
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/plkrdata_installation/*.plkrdata $(BUNDLE)/Resources/plucker_desktop/resource/plkrdata_installation/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/plkrdata_setup_wizard
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/plkrdata_setup_wizard/*.* $(BUNDLE)/Resources/plucker_desktop/resource/plkrdata_setup_wizard/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/plkrdata_showcase
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/plkrdata_showcase/*.* $(BUNDLE)/Resources/plucker_desktop/resource/plkrdata_showcase/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/strings_tips
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/strings_tips/*.txt $(BUNDLE)/Resources/plucker_desktop/resource/strings_tips/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/xrc
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/xrc/*.xrc $(BUNDLE)/Resources/plucker_desktop/resource/xrc/
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/resource/html_about
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/resource/html_about/*.htm $(BUNDLE)/Resources/plucker_desktop/resource/html_about/
	@echo "------------------------------------------------------------"
	@echo "Copying Plucker Desktop internationalization..."
	@echo "------------------------------------------------------------"
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/cs
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/da
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/de
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/es
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/fi
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/fo
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/fr
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/it
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/ja
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/nl
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/pl
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/ru
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/plucker_desktop/langs/sv
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/cs/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/cs/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/da/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/da/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/de/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/de/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/es/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/es/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/fi/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/fi/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/fo/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/fo/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/fr/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/fr/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/it/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/it/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/ja/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/ja/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/nl/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/nl/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/pl/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/pl/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/ru/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/ru/
	-cp $(COPYFLAGS) $(plucker_desktop_dir)/langs/sv/*.mo $(BUNDLE)/Resources/plucker_desktop/langs/sv/
	@echo "------------------------------------------------------------"
	@echo "Copying Python parser...."
	@echo "------------------------------------------------------------"
	$(MKINSTALLDIRS) $(BUNDLE)/Resources/parser/python/PyPlucker
	-cp $(COPYFLAGS) $(top_build_dir)/parser/python/PyPlucker/*.py $(BUNDLE)/Resources/parser/python/PyPlucker
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/parser/python/PyPlucker/helper
	-cp $(COPYFLAGS) $(top_build_dir)/parser/python/PyPlucker/helper/*.py $(BUNDLE)/Resources/parser/python/PyPlucker/helper
	@echo "------------------------------------------------------------"
	@echo "Copying PIL (Python Imaging Library) for OS X..."
	@echo "------------------------------------------------------------"
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/parser/python/vm/PIL
	-cp $(COPYFLAGS) ./application_bundle_files/Resources/parser/python/vm/PIL/*.*  $(BUNDLE)/Resources/parser/python/vm/PIL
	@echo "------------------------------------------------------------"
	@echo "Copying Plucker viewers...."
	@echo "Note: You will need to manually add to bundle, those parts"
	@echo "that haven't been built: viewers, zlib, or user's guide."
	@echo "------------------------------------------------------------"
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources/viewer/palmos
	-cp $(COPYFLAGS) $(top_build_dir)/viewer/*.prc $(BUNDLE)/Resources/viewer/palmos
	-cp $(COPYFLAGS) $(top_build_dir)/viewer/ZLib/*.prc $(BUNDLE)/Resources/viewer/palmos
	-cp $(COPYFLAGS) $(top_build_dir)/viewer/*.pdb $(BUNDLE)/Resources/viewer/palmos
	@echo "------------------------------------------------------------"
	@echo "Copying the .rsrc file from the wxWindows installed /lib directory..."
	@echo "------------------------------------------------------------"
	@$(MKINSTALLDIRS) $(BUNDLE)/Resources
	-cp $(COPYFLAGS) $(wxwindows_lib_dir)/lib$(WX_LIBRARY_BASENAME)-$(WX_RELEASE).rsrc $(BUNDLE)/Resources/$(TARGET).rsrc
	@echo " "
	@echo "------------------------------------------------------------"
	@echo "A $(BUNDLE_NAME) OSX app bundle (called $(BUNDLE_NAME).app)"
	@echo "has been generated."
	@echo " "
	@echo "To launch the GUI version, double click the Plucker icon"
	@echo "located in this directory."
	@echo " "
	@echo "To use the commandline version, enter this command in"
	@echo "in this current directory:"
	@echo "<fullpathtocurrentdirectory>/$(BUNDLE_NAME).app/Contents/MacOS/$(TARGET)"
	@echo "followed by some commandline arguments, for example:"
	@echo "<fullpathtocurrentdirectory>/$(BUNDLE_NAME).app/Contents/MacOS/$(TARGET) --update-all"
	@echo "------------------------------------------------------------"
	@echo " "

$(BUNDLE)/Info.plist: ./application_bundle_files/Info.plist
	@$(MKINSTALLDIRS) `dirname $@`
	cp $(COPYFLAGS) $< $@

$(BUNDLE)/PkgInfo: ./application_bundle_files/PkgInfo
	@$(MKINSTALLDIRS) `dirname $@`
	cp $(COPYFLAGS) $< $@

# It should depend on the library also, but we can't get that from wx-config yet
# Note that we strip the executable
$(BUNDLE)/MacOS/$(TARGET): $(plucker_desktop_dir)/$(TARGET)
	@$(MKINSTALLDIRS) `dirname $@`
	cp $(COPYFLAGS) $< $@
	@echo "Stripping the plucker-desktop executable inside Bundle..."
	strip $@

$(BUNDLE)/Resources/application.icns: $(plucker_desktop_dir)/resource/icons_application/application.icns
	@$(MKINSTALLDIRS) `dirname $@`
	cp $(COPYFLAGS) $< $@

=== plucker_desktop/resource/docs/Makefile ===
#-----------------------------------------------------------------------------------------
# Plucker Desktop User Help
# Requirements: txt2rtf executable (source is in <wx root dir>/utils/tex2rtf) 
#               hhp2cached executable (source is in <wx root dir>/utils/hhp2cached) 
#               and a zip program available to be executed
#-----------------------------------------------------------------------------------------

TARGET=plucker-desktop

# Name of the zip utility, somewhere in the path
ZIP=zip
# NOTE: the zipping of the help file has to be done such that there is no subdir path
# iformation stored in it. Seems that must have BOTH a ZIPFLAGS of "-D" (strip paths) 
# AND cd to the docs directory first before zipping for the paths to be removed.
# hhp2cached returns non-zero, so stops make, so added a '-' command in front.
ZIPFLAGS= -D
TEX2RTF=tex2rtf
HHP2CACHED=hhp2cached
# Names of all the output as gotten from the TARGET variable way up top.
HELP_BASENAME=$(TARGET)

userhelp:
	@echo "------------------------------------------------------------"
	@echo "Removing old html files, and .htb file (since would just append)..."
	@echo "------------------------------------------------------------"     
	-rm *.html $(HELP_BASENAME).htb
	@echo "------------------------------------------------------------"
	@echo "Compiling help using Tex2RTF..."
	@echo "------------------------------------------------------------"
	$(TEX2RTF) PluckerDesktop.tex $(HELP_BASENAME).html -macros Tex2Rtf.ini
	@echo "------------------------------------------------------------"
	@echo "Generating a cached version for faster reading..."
	@echo "------------------------------------------------------------"
	-$(HHP2CACHED) $(HELP_BASENAME).hhp
	@echo "------------------------------------------------------------"
	@echo "Zipping output html into a .htb file (hypertext book)..."
	@echo "------------------------------------------------------------"
	$(ZIP) $(ZIPFLAGS) $(HELP_BASENAME).htb $(HELP_BASENAME).hh* $(HELP_BASENAME)*.html
	@echo "Done."

#-----------------------------------------------------------------------------------------
# Clean all (leave in the plucker-manual.htb though, currently hard to make)
#-----------------------------------------------------------------------------------------
clean:
	@echo "------------------------------------------------------------"
	@echo "Removing generated Plucker Desktop user help html files..."
	@echo "------------------------------------------------------------"     
	rm -f $(TARGET)*.h*
	rm -f *.con
	rm -f *.ref*
	rm -f *.cached

=== plucker_desktop/installer/osx/disk_image/Makefile ===
OUTPUT_DIR=Plucker
COPYFLAGS=--force

step1:
	-mkdir $(OUTPUT_DIR)
	-cp $(COPYFLAGS) ReadMe.rtf $(OUTPUT_DIR)/ReadMe.rtf
	-cp -R ../Plucker.app $(OUTPUT_DIR) 
# 	-cp $(COPYFLAGS) background.png $(OUTPUT_DIR)/background.png

# I am cutting out the background.png. Too much hassle.

# at this point, set the background image to background.png and change
# the icons and settings.

step2:
	-mv $(OUTPUT_DIR)/background.png $(OUTPUT_DIR)/.background.png

#steps:
# Create a background image. Make it big enough tallwise and widthwise, as
# I can't seem to control the size of the end result popup window.

# Make a folder and put your image in the folder, for example background.png
# Call the folder your desired volumes name, for example: Plucker

# Open up disk copy and drag the folder to the drag-and-drop window, 
# saving it as "empty_image" and being sure that it is read/write, not 
# compressed.

# Double click the outputted .dmg file to mount it on your desktop.

# In the window of the mounted volume, you should now see just your 
# background.png

# Choose View>Show View Options, and use the following settings:
# -This window only
# -Icon size=128x128
# -Snap To Grid
# -Background=Picture, and browse to the background.png on your volume (note
# that the volumes will appear as a top level item in the Finder, so it would
# be for example /Plucker/background.png
# Close the View Options popup
# In the finder window for the volume, now choose View>Hide Toolbar and 
# View>Hide Statusbar

# Open up the terminal, and cd to the volume, for example:
# cd /Volumes/Plucker
# Then in the terminal, move the background.png to .background.png. This will
# hide the background file. Do this moving by typing:
# mv background.png .background.png
# Then cd out of there:
# cd /

# Now, on the desktop, drag your volume to the DiskCopy drag and drop window,
# and make another disk image, again being sure that it is a read/write, not
# a compressed.

# THIS STILL DOESNT WORK!! HOW CRAPOLA!

=== debian/changelog ===
plucker (1.8-34) unstable; urgency=low

  * Fix "AttributeError: 'module' object has no attribute
    'uses_fragment'" debian/patches/88_plucker-build (Closes: #678080)
  * debian/compat: 8 -> 9
  * debian/rules: add hardening support
  * debian/watch: remove template in comments to fix lintian warning
    I: plucker source: debian-watch-contains-dh_make-template
  * debian/rules: add build-indep rule. lintian warning:
    W: plucker source: debian-rules-missing-recommended-target build-indep

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 10 Mar 2011 21:32:52 +0100

plucker (1.8-33) unstable; urgency=low

  * Fix "deprecation of dh_pycentral, please use dh_python2" by using
    dh_python2 (Closes: #616943)
  * debian/compat: update from 5 to 8
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 10 Mar 2011 21:14:56 +0100

plucker (1.8-32) unstable; urgency=low

  * debian/patches/86_assert: remove parenthesis in "assert(a)" by "assert a"
    and "assert(a, b)" by "assert a, b"
    Closes: #583636 "Make this package ready for python 2.6"
  * debian/patches/87_hyphen-used-as-minus-sign: fix a lintian warning:
    I: plucker: hyphen-used-as-minus-sign
    usr/share/man/man1/plucker-build.1.gz:251
  * Use DEP-3 compliant headers for patches. Fix lintian warning:
    I: plucker source: quilt-patch-missing-description

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Jun 2010 12:49:51 +0000

plucker (1.8-31) unstable; urgency=low

  * debian/control: use libjpeg-dev instead of libjpeg62-dev
    http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html
  * move to source package format "3.0 (quilt)"
  * debian/control: Standards-Version: 3.7.3 -> 3.8.4
    add support of parallel= in DEB_BUILD_OPTIONS

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 Feb 2010 15:04:40 +0100

plucker (1.8-30) unstable; urgency=low

  * debian/patches/85_Retriever: Closes: #498522: "Plucker uses bad User-agent
    HTTP header"
  * plucker-decode not executable (Closes: #509943)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 17:15:06 +0100

plucker (1.8-29) unstable; urgency=low

  * debian/control:
   - add Vcs-Svn: and Vcs-Browser: fields
   - add Homepage: field

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 17 Aug 2008 16:26:46 +0200

plucker (1.8-28) unstable; urgency=low

  * debian/patches/84_strip_px: Closes: #494613 "ValueError: invalid literal
    for int() with base 10: '1px'"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 17 Aug 2008 16:01:07 +0200

plucker (1.8-27) unstable; urgency=low

  * debian/plucker.links: correct a typo that made usr/bin/pluck-comics link
    to a wrong destination
    Closes: #487778 "cruft and broken symlinks"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 24 Jun 2008 17:04:55 +0200

plucker (1.8-26) unstable; urgency=low

  * debian/patches/83_filter.patch: allow the use of --filter=<> argment
    Patch from Ubuntu LP: #52882 "plucker-build : --filter option not working"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Jun 2008 13:30:32 +0200

plucker (1.8-25) unstable; urgency=low

  * use dh_link to create the links and use correct links
    patch adapted from Ubuntu (LP: #236035)
  * use quilt instead of dpatch

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 14 Jun 2008 21:02:43 +0200

plucker (1.8-24) unstable; urgency=low

  * debian/patches/80_remove_quiet.dpatch: Patch from Ubuntu
    Closes: #182361 "broken pipe errors from ImageParser.py"
    also closes Ubuntu: #54377

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 16 Feb 2008 17:24:16 +0100

plucker (1.8-23) unstable; urgency=low

  * debian/plucker.install: add usr/lib
    Closes: Bug#465516: "plucker-build: command not found"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 13 Feb 2008 20:31:54 +0100

plucker (1.8-22) unstable; urgency=low

  * debian/plucker-prc-install: use = instead of ==
    Closes: #465015: "plucker: bashism in /bin/sh script"
  * debian/rules: correct debian-rules-ignores-make-clean-error lintian
    warning
  * debian/control: Standards-Version: 3.7.2 -> 3.7.3. No change needed
  * plucker.preinst: file removed. It was used to fix #386211 and can be
    removed in lenny (etch+1)
  * debian/copyright: add a Copyright Holder: line

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 10 Feb 2008 15:53:00 +0000

plucker (1.8-21) unstable; urgency=low

  * the plucker-desktop package can't be built anymore, drop it.
    A patch is available at http://bugs.jpilot.org/1784 and is applied
    upstream in CVS but version 1.9 is still not available
  * debian/pluckerrc: default image_parser is now pil2 instdead of netpbm2
  * debian/control: plucker depends on python-imaging instead of netpbm since
    the default image_parser is now PIL (Python Imaging Library)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 08 May 2007 21:21:29 +0200

plucker (1.8-20) unstable; urgency=low

  * debian/rules: use /usr/share/pycentral/plucker instdead of
    /usr/lib/python2.4. Closes: #391338 "plucker-build: command not found"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 10 Oct 2006 22:51:04 +0200

plucker (1.8-19) unstable; urgency=low

  * debian/rules: add --sysconfdir=/etc to ./configure line to use
    /etc/pluckerrc instead of /usr/etc/pluckerrc
    Closes: #385910 "plucker: Plucker for Python2.4 will not parse images"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 23 Sep 2006 16:23:35 +0200

plucker (1.8-18) unstable; urgency=low

  * remove /usr/lib/python2.3/site-packages/PyPlucker/ in plucker.preinst
    Closes: #386211 "plucker: Fails to remove byte compiled files from
    previous version"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  8 Sep 2006 14:27:39 +0200

plucker (1.8-17) unstable; urgency=low

  * Closes: #385244 "plucker-build inaccessible, aliased to python2.3 but
    package ships for python2.4"


=== debian/control ===
Source: plucker
Section: otherosfs
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>= 9), autoconf, python (>= 2.6.6-3), libjpeg-dev, zlib1g-dev, libgtk2.0-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/plucker/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/plucker/trunk/
Homepage: http://www.plkr.org/

Package: plucker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-imaging
Suggests: imagemagick, libjpeg-progs, pilot-link
Description: Pluck stuff from the web and read it on your PalmOS device
 Plucks stuff from the web (or any URL), and encodes them appropriately for
 viewing on a PalmOS device.  Very flexible in the way sites are plucked, e.g.
 link depth, images etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep
build-indep: build-stamp

build-arch: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cp configure configure.orig
	CFLAGS=`dpkg-buildflags --get CFLAGS` \
		CXXFLAGS=`dpkg-buildflags --get CXXFLAGS` \
		CPPFLAGS=`dpkg-buildflags --get CPPFLAGS` \
		LDFLAGS=`dpkg-buildflags --get LDFLAGS` \
		./autogen.sh \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--with-pluckerdir=/usr/share/plucker \
		--with-docdir=/usr/share/doc/plucker \
		--with-comicslistdir=/usr/share/plucker/pluck-comics \
		--disable-palmosbuild \
		--disable-java-distiller \
		--disable-docbuild \
		--disable-desktopbuild

	# make plucker-decode executable #509943
	chmod +x parser/python/PyPlucker/PluckerDocs.py

	# Add here commands to compile the arch part of the package.
	MAKEFLAGS="-j1" $(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f viewer/config.log
	-rm -f docs/Makefile
	-[ -e configure.orig ] && mv configure.orig configure

	dh_clean 

install: install-arch

install-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the arch part of the package
	$(MAKE) install-pluck_comics install-manual \
		install-data \
		install-pyplucker \
		install-gtkviewer \
		DESTDIR=$(CURDIR)/debian/plucker \
		BUILD_MANUAL=no

	# copy the Debian plucker-prc-install
	cp debian/plucker-prc-install debian/plucker/usr/bin

	# copy the Debian pluckerrc file
	cp debian/pluckerrc debian/plucker/etc

	rm debian/plucker/usr/share/doc/plucker/COPYING
	rmdir debian/plucker/usr/share/plucker/palm

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdb
	dh_fixperms
	dh_python2
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch
.PHONY: build clean binary-arch binary-indep binary install install-arch

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/plucker/plucker_src-(.*)\.tar\.bz2

## plucker parser-1.7.2

=== PyPlucker/Makefile ===
#
# $Id: Makefile.in,v 1.4 2003/08/03 14:07:02 nordstrom Exp $
#

SHELL           =   /bin/sh

top_builddir    =   ../../..
subdir          =   parser/python/PyPlucker

DESTDIR         =

PYTHONDIR       =   /usr/lib/python2.2
MODULE_DIR      =   $(DESTDIR)/usr/lib/python2.2/site-packages/PyPlucker

PYTHON          =   /usr/bin/python
MKINSTALLDIRS   =   $(top_builddir)/mkinstalldirs

all:
	@echo "all done in PyPlucker"

Makefile: Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

install:
	$(MKINSTALLDIRS) $(MODULE_DIR)/helper
	cp *.py $(MODULE_DIR) ; chmod 755 $(MODULE_DIR)/*.py
	cp helper/*.py $(MODULE_DIR)/helper ; chmod 755 $(MODULE_DIR)/helper/*.py

	$(PYTHON) $(PYTHONDIR)/compileall.py $(MODULE_DIR)
	$(PYTHON) -O $(PYTHONDIR)/compileall.py $(MODULE_DIR)

clean:
	@echo "all clean in PyPlucker"

distclean: clean
	rm -f Makefile __init__.py

## plucker src-1.6

=== plucker_desktop/langs/Makefile ===
--- 
+++ 
@@ -76,7 +76,6 @@
 	-rm $(LANGUAGES_DIR)/$(TEMPORARY_PLUCKER_TEMPLATE_POT)
 	
 	# Merge the updates with the existing translations 
-	msgmerge $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO)
@@ -92,7 +91,6 @@
 	msgmerge $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO)
 	
 	# Compile the text .po files into binary .mo files.     
-	msgfmt $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_MO)
@@ -111,8 +109,7 @@
 	-rm $(XRC_STRINGS_OUTPUT_DIR)/$(XRC_STRINGS_OUTPUT_FILE)
 	-rm $(TIPS_OUTPUT_DIR)/$(TIPS_FILES)
 	
-	# Merge the wxstd updates with the existing translations
-	msgmerge $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) 
+	# Merge the wxstd updates with the existing translations 
 	msgmerge $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO)
@@ -127,8 +124,7 @@
 	msgmerge $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO)
 	
-	# Compile the wxstd text .po files into binary .mo files.  
-	msgfmt $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_MO)   
+	# Compile the wxstd text .po files into binary .mo files.     
 	msgfmt $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_MO)
@@ -176,3 +172,11 @@
 # ouput file called a .po file which is a series of original strings and its translation.
 # Example usage is: 
 #        xgettext -C -n -k_ -o fr.po -p langs/fr file1.cpp file2.cpp
+# in which the arguments, and parameters are:
+# -C          tells that the language is C++
+# -n          tells not to add comments that say what line the string was on #            
+# -k_         marks _() as a keyword of a string to put into a translation.
+#             If using _T() [which I think this is the same as _() ] need to add that
+#             too in the key words.
+# -o fr.po    tells what want the output file of the catalog of translated strings 
+#             to be called.
